/**
 * Five-xlx 2015.9.1
 * QQ:673921852
 **/


var URL='http://www.xfpaipai.com/',
	AppName='幸福拍拍',
	pUrl;

(function($, owner) {
	/**
	 * 用户登录
	 **/
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if (loginInfo.account.length < 4) {
			return callback('账号最短为 4 个字符');
		}
		if (loginInfo.password.length < 6) {
			return callback('密码最短为 6 个字符');
		}
		
		
		var waitLogin = plus.nativeUI.showWaiting();
		$.ajax(URL+'api/Login/GetUser',{
			data:{
				userName:loginInfo.account,
				password:loginInfo.password
			},
			dataType:'json',
			type:'get',
			timeout:10000,
			success:function(data){
				waitLogin.close();
				if(data.Success=="true"){
					var account = loginInfo.account;
					var reg = /^0?(13|15|18|14|17)[0-9]{9}$/;
					if (reg.test(account)) {
				    	//手机号登录获取绑定用户名
				    	$.ajax(URL+'api/Login/GetBindUserNameByPhone',{
							data:{
								phone:account
							},
							dataType:'json',
							type:'get',
							timeout:10000,
							async:false,
							success:function(data){
								if(data.Success=="true"){
									account = data.UserName;
								}
							}
						});
				    }
					return owner.createState(account,data.UserId, callback);
				}else{
					callback('用户名或密码错误');
				}
			},
			error:function(xhr,type,errorThrown){
				waitLogin.close();
				callback('请求失败，请检查网络')
			} 
		});
	};
	
	owner.createState = function(name,userId, callback) {
		var state = owner.getState();
		state.account = name;
		state.userId = userId;
		state.token = "token123456789";
		owner.setState(state);
		return callback();
	};

	/**
	 * 新用户注册
	 **/
	owner.reg = function(regInfo, callback) {
		callback = callback || $.noop;
		regInfo = regInfo || {};
		regInfo.account = regInfo.account || '';
		regInfo.password = regInfo.password || '';
		if (regInfo.account.length < 4) {
			return callback('用户名最短需要 4 个字符');
		}
		if (regInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		/*if (!checkEmail(regInfo.email)) {
			return callback('邮箱地址不合法');
		}*/
		var waitReg = plus.nativeUI.showWaiting();
		var regSource = plus.os.name.toLocaleLowerCase() == 'ios'?5:4;
		var data=JSON.stringify({userName:regInfo.account,password:regInfo.password,regSource:regSource});
		$.ajax(URL+'api/Register/PostRegisterUser',{
			data: data,
			dataType:'json',
			contentType:'application/json',
			type:'post',
			timeout:10000,
			success:function(data){
				waitReg.close();
				if(data.Success=="true"){
					return callback();
				}else{
					return callback('用户名已被注册');
				}
			},
			error:function(xhr,type,errorThrown){
				waitReg.close();
				return callback(xhr.responseText.split('ErrorMsg =')[1])
			}
		});
		
	};
	
	/**
	 * 新用户注册
	 **/
	owner.phonereg = function(regInfo, callback) {
		callback = callback || $.noop;
		regInfo = regInfo || {};
		regInfo.account = regInfo.account || '';
		regInfo.password = regInfo.password || '';
		regInfo.mobile = regInfo.mobile || '';
		if (regInfo.account.length < 4) {
			return callback('用户名最短需要 4 个字符');
		}
		if (regInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		/*if (!checkEmail(regInfo.email)) {
			return callback('邮箱地址不合法');
		}*/
		var waitReg = plus.nativeUI.showWaiting();
		var regSource = plus.os.name.toLocaleLowerCase() == 'ios'?5:4;
		var data=JSON.stringify({userName:regInfo.account,password:regInfo.password,mobile:regInfo.mobile,regSource:regSource});
		$.ajax(URL+'api/Register/PostRegisterUser',{
			data: data,
			dataType:'json',
			contentType:'application/json',
			type:'post',
			timeout:10000,
			success:function(data){
				waitReg.close();
				if(data.Success=="true"){
					return callback();
				}else{
					return callback('用户名已被注册');
				}
			},
			error:function(xhr,type,errorThrown){
				waitReg.close();
				return callback(xhr.responseText.split('ErrorMsg =')[1])
			}
		});
		
	};
	
	/**
	 * 新用户注册
	 **/
	owner.invitereg = function(regInfo, callback) {
		callback = callback || $.noop;
		regInfo = regInfo || {};
		regInfo.account = regInfo.account || '';
		regInfo.password = regInfo.password || '';
		regInfo.mobile = regInfo.mobile || '';
		regInfo.inviteUserId = regInfo.inviteUserId || '';
		
		if (regInfo.account.length < 4) {
			return callback('用户名最短需要 4 个字符');
		}
		if (regInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		/*if (!checkEmail(regInfo.email)) {
			return callback('邮箱地址不合法');
		}*/
		var waitReg = plus.nativeUI.showWaiting();
		var regSource = plus.os.name.toLocaleLowerCase() == 'ios'?5:4;
		var data=JSON.stringify({userName:regInfo.account,password:regInfo.password,inviteUserId:regInfo.inviteUserId,mobile:regInfo.mobile,regSource:regSource});
		$.ajax(URL+'api/Register/PostRegisterInviteUser',{
			data: data,
			dataType:'json',
			contentType:'application/json',
			type:'post',
			timeout:10000,
			success:function(data){
				waitReg.close();
				if(data.Success){
					return callback();
				}else{
					return callback(data.Msg);
				}
			},
			error:function(xhr,type,errorThrown){
				waitReg.close();
				return callback(xhr.responseText.split('ErrorMsg =')[1])
			}
		});
		
	};

	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};
	
	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
		//var settings = owner.getSettings();
		//settings.gestures = '';
		//owner.setSettings(settings);
	};

	var checkEmail = function(email) {
		email = email || '';
		return (email.length > 3 && email.indexOf('@') > -1);
	};

	/**
	 * 找回密码
	 **/
	owner.forgetPassword = function(email, callback) {
		callback = callback || $.noop;
		if (!checkEmail(email)) {
			return callback('邮箱地址不合法');
		}
		return callback(null, '暂不支持邮箱找回密码功能，请前往PC端找回密码' /*'新的随机密码已经发送到您的邮箱，请查收邮件。'*/);
	};

	/**
	 * 设置应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 获取应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}
	
	//判断是否是ios
	owner.ios = function() {
		if (plus.os.name.toLocaleLowerCase() == 'ios') {
			return true;
		} else {
			return false;
		}
	};
	
	//IOS判断QQ是否已经安装
	owner.isQQInstalled = function() {
		var TencentOAuth = plus.ios.import("TencentOAuth");
		var isQQInstalled = TencentOAuth.iphoneQQInstalled();
		return isQQInstalled == '0' ? false : true
	};
	//IOS判断微信是否已经安装
	owner.isWXInstalled = function() {
		var Weixin = plus.ios.import("WXApi");
		var isWXInstalled = Weixin.isWXAppInstalled();
		return isWXInstalled == '0' ? false : true;
	};
	
	/*大于零显示元素*/
	owner.whichShow = function(data,el) {
		if(data>0){
			document.getElementById(el).innerText=data.toString();
			document.getElementById(el).style.display='block';
		}else{
			document.getElementById(el).style.display='none';
		}
			
	}
	
	/*不为空显示*/
	owner.nullShow = function(data,el) {
		if(data!=''&&data!=null){
			document.getElementById(el).innerText=data;
			document.getElementById(el).style.display='block';
		}else{
			document.getElementById(el).style.display='none';
		}
			
	}
	
	//阻止a链接跳转
	owner.stopHref = function(el) {
		el.on('tap', 'a', function(e) {
			e.preventDefault();
		});
	}
	
	owner.trim = function(str) {
		return str.replace(/(^\s*)|(\s*$)/g, "");
	}
	
	owner.removeClass = function(el,name) {
		if(el.className.indexOf(name)>=0)
			el.className=el.className.replace(name,'');
	}
	
	owner.selectValue = function(el) {
		return el.options[el.selectedIndex].value;
	}
	
	owner.isLogin = function(){
		var userState = JSON.parse(localStorage.getItem('$state') || "{}");
		if (userState.userId && userState.userId != '') {
			return true;
		} else {
			return false;
		}
	}
	
	owner.IsPromoter=function(){
		var ispromoter = false;
		$.ajax(URL+'api/Promoter/GetIsPromoter',{
			dataType:'json',
			type:'get',
			async:false, 
			timeout:10000,
			success:function(data){
				ispromoter=data.IsPromoter
			},
			error:function(xhr,type,errorThrown){
				ispromoter = false;
			}
		});
		return ispromoter;
	}
	
	/**
	 * 重写退出应用
	 **/
	owner.quitApp = function() {
		$.oldBack = mui.back;
		var backButtonPress = 0;
		$.back = function(event) {
			backButtonPress++;
			if (backButtonPress > 1) {
				plus.runtime.quit();
			} else {
				plus.nativeUI.toast('再按一次退出'+AppName);
			}
			setTimeout(function() {
				backButtonPress = 0;
			}, 1000);
			return false;
		};
	}
	
	owner.updateApp = function(){
		setTimeout(function(){
			$.ajax(URL+'api/home/GetUpdateApp',{
				data:{
					appVersion:plus.runtime.version,
					type:plus.os.name=='Android'?2:3
				},
				dataType:'json',
				type:'get',
				timeout:10000,
				success:function(data){
					if(data.Success=='true'){
						if(data.IsForceUpdate){
							plus.nativeUI.confirm('发现新版本'+AppName+'，马上体验吧！', function(event){
								if ( 0==event.index ) {
									plus.runtime.openURL(data.DownLoadUrl);
								}
							}, '', ["立即更新"] );
						}else{
							plus.nativeUI.confirm('发现新版本'+AppName+'，马上体验吧！', function(event){
								if ( 0==event.index ) {
									plus.runtime.openURL(data.DownLoadUrl);
								}
							}, '', ["立即更新","取 消"] );
						}
					}
				}
			});
		},5000)
	}
	
	//复制到剪切板
	owner.copyclip = function(text) {
		if (plus.os.name.toLocaleLowerCase() == 'ios') {
			var UIPasteboard  = plus.ios.importClass("UIPasteboard");
			var generalPasteboard = UIPasteboard.generalPasteboard();
			generalPasteboard.setValueforPasteboardType(text, "public.utf8-plain-text");
			//var value = generalPasteboard.valueForPasteboardType("public.utf8-plain-text"); 
			mui.toast('复制成功');
		} else {
			var Context = plus.android.importClass("android.content.Context");
			var main = plus.android.runtimeMainActivity();
			var clip = main.getSystemService(Context.CLIPBOARD_SERVICE);
			plus.android.invoke(clip, "setText", text);
			mui.toast('复制成功');
		}
	};
	
	//打开软键盘
	owner.openSoftKeyboard = function() {
		if (mui.os.ios) {
			var webView = plus.webview.currentWebview().nativeInstanceObject();
			webView.plusCallMethod({
				"setKeyboardDisplayRequiresUserAction": false
			});
		} else {
			var webview = plus.android.currentWebview();
			plus.android.importClass(webview);
			webview.requestFocus();
			var Context = plus.android.importClass("android.content.Context");
			var InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
			var main = plus.android.runtimeMainActivity();
			var imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
			imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
		}
	};
	
	//打开新窗口
	owner.openVW=function(id,url,extras){
		$.openWindow({
			id:id,
			url:url||id,
			extras:extras,
			show: {
				autoShow:true,
				aniShow: 'pop-in',
				duration:300
			},
			waiting: {
				autoShow: false
			}
		});
	}
	
	owner.customHref=function(base){
		mui('.mui-content').on('tap', '.custom-href', function() {
			var href = this.getAttribute('data-href')
			var id;
			if(href){
				if(href.toLowerCase().indexOf(URL)>=0){
					if(href.toLowerCase().indexOf('product/detail/')>=0){
						id=href.toLowerCase().split('product/detail/')[1];
						app.openVW('detail.html','/detail.html',{productId:id})
					}else if(href.toLowerCase().indexOf('topic/detail/')>=0){
						id=href.toLowerCase().split('topic/detail/')[1];
						app.openVW('topic-detail.html','/topic-detail.html',{topicId:id})
					}
					else{ 
						clicked('webview_embed.html',true,false,{hrefUrl:href});
						//plus.runtime.openURL(href)
					}
				}else{
					clicked('webview_embed.html',true,false,{hrefUrl:href});
					//plus.runtime.openURL(href)
				}
			}else{
				clicked('webview_embed.html',true,false,{hrefUrl:href});
			}
			
		});
	}
}(mui, window.app = {}));

function showLogin(param,url){
	pUrl='login.html';
	if(url=='/'){
		pUrl='../login.html';
	}
	var p = {};
	if(!(JSON.stringify(p) == JSON.stringify(param))){
		plus.nativeUI.toast('请先登录')
	}
	mui.openWindow({
		id:'login.html',
		url:pUrl,
		extras:{
			param:param
		},
		show: {
			autoShow:true,
			aniShow: 'zoom-fade-out'
		},
		waiting: {
			autoShow: false
		}
	});
}

function showProduct(id,url){
	var detailPage=plus.webview.getWebviewById('detail.html');
	if(detailPage!=null){
		detailPage.hide();
		detailPage.close();
	}
	pUrl='detail.html';
	if(url=='/'){
		pUrl='../detail.html'
	}
	setTimeout(function(){
		app.openVW('detail.html',pUrl,{productId:id})
	},100)
	
}

function showVshop(vshopid,url){
	pUrl='vshop-detail.html';
	if(url=='/'){
		pUrl='vshop/vshop-detail.html'
	}
	app.openVW('vshop-detail.html',pUrl,{vshopId:vshopid})
}

function reloadWvLoad(){
	var errorText = document.createElement('div');
    errorText.innerHTML = '<h4>网络不给力，请检查网络！</h4><button id="reloadWv" class="mui-btn mui-btn-negative">重新加载</button>';
    errorText.setAttribute('class','empty-show');
    //document.body.appendChild(errorText);
}

// 支付模块
function checkServices(pc){
	if(pc.description!="预付款"){
		if(!pc.serviceReady){
			var txt=null;
			switch(pc.id){
				case "alipay":
				txt="检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？";
				break;
				default:
				txt="系统未安装“"+pc.description+"”服务，无法完成支付，是否立即安装？";
				break;
			}
			plus.nativeUI.confirm(txt,function(e){
				if(e.index==0){
					pc.installService();
				}
			},pc.description);
		}
	}
}

function initPay(orderId,dcontent){
	
	plus.payment.getChannels(function(channels){
		var content=document.getElementById(dcontent);
		content.innerHTML="";
		var hasAdv = IsOk(orderId);//判断是否开通预付款和预付款余额是否充足
		if(hasAdv){
			var ypayment = { id: 9, description: '预付款'};
			channels.push(ypayment);
		}
		
		for(var i in channels){
			var channel=channels[i];
			if(channel.id=='alipay' || channel.id=='wxpay' || channel.id == '9'){
				if (app.ios()) {
					if (channel.id == 'wxpay' && !app.isWXInstalled()) {
						continue;
					}
				}
				pays[channel.id]=channel;
				var de=document.createElement('div');
				de.setAttribute('class','custom-btn '+channel.id);
				de.id=channel.id;
				de.innerText=channel.description+"支付";
				content.appendChild(de);
				if (!app.ios()) {
					checkServices(channel);
				}
			}
		}
	},function(e){
		plus.nativeUI.toast("获取支付方式失败："+e.message);
	});
}

function payOrder(obj,orderids,successBack,errorBack){
	if(orderids.length <1){
		plus.nativeUI.toast("错误的订单编号！");
		return;
	}
	var typeid;
	
	if(wPay){
		mask.close();
		return;
	}//检查是否请求订单中
	if(obj.id=='alipay'){
		typeid='Alipay_App';
	}else if(obj.id=='wxpay'){
		typeid='WeiXinPay_App';
	}else if(obj.id == '9'){
		typeid = '9';
	}
	else{
		plus.nativeUI.toast("不支持此支付通道！");
		return;
	}
	
	wPay=plus.nativeUI.showWaiting();
	setTimeout(function(){
		if(wPay!=null){
			wPay.close();wPay=null;
		}
		
	},2000);
	var url = obj.getAttribute('data-url');
	if(obj.id=='alipay' || obj.id=='wxpay'){
		mui.ajax(URL+'api/payment/PostPay',{
			data:JSON.stringify({pmtid:typeid,ids:orderids}),
			dataType:'json',
			contentType:'application/json',
			type:'post',
			async:true,
			timeout:10000,
			success:function(data){
				if(data.success){
					var jumpUrl = data.jumpUrl;
					if(obj.id=='wxpay'){
						jumpUrl=JSON.parse(jumpUrl);
					} 
					 
					plus.payment.request(pays[obj.id],jumpUrl,function(result){
						if(wPay!=null){
							wPay.close();wPay=null;
						}
						
						successBack();
					},function(){
						if(wPay!=null){
							wPay.close();wPay=null;
						}
						errorBack(data);
					});
				}else{
					if(wPay!=null){
							wPay.close();wPay=null;
						}
					plus.nativeUI.toast(data.msg);
				}
			}, 
			error:function(xhr,type,errorThrown){
				wPay.close();wPay=null;
				plus.nativeUI.toast("请求失败，请检查网络！");
			}
		});
	}else if(obj.id=='9'){
		mui.ajax(URL+'api/UserCenter/CheckIsSetPayPassword',{
			dataType:'json',
			contentType:'application/json',
			type:'post',
			timeout:10000,
			success:function(data){
				if(data.Success){
					ShowPayPassword(orderids,successBack,errorBack);
					if(wPay!=null){
						wPay.close();wPay=null;
					}
				}else{
					if(wPay!=null){
						wPay.close();wPay=null;
					}
					app.openVW('user/change-paypassword.html');
				}
			},
			error:function(xhr,type,errorThrown){
				if(wPay!=null){
					wPay.close();wPay=null;
				}
				plus.nativeUI.toast('修改支付密码失败，请检查网络')
			}
		});
		

	}else{
		if(wPay!=null){
			wPay.close();wPay=null;
		}
		plus.nativeUI.toast("不支持此支付通道！");
		return;
	}
	
}

function ShowPayPassword(orderids,successBack,errorBack){
	var masks;
	document.getElementById('dcontent').className='dcontent';
	document.getElementById("paypassword").className='dcontent active';
	document.getElementById('txtpaypassword').value="";
	if(!masks)
		masks = mui.createMask(function(){document.getElementById("paypassword").className='dcontent'});
	
	mui('#paypassword').off('tap','#paypwdChoose');
	mui('#paypassword').on('tap','#paypwdChoose',function(){
		var pwd = document.getElementById('txtpaypassword').value;
		
		mui.ajax(URL+'api/UserCenter/CheckChangePayPassword',{
			data:JSON.stringify({password:pwd}),
			dataType:'json',
			contentType:'application/json',
			type:'post',
			async:false,
			timeout:10000,
			success:function(data){
				if(data.Success){
					masks.show();
					mui.ajax(URL+'api/payment/PostPayByCapital',{
						data:JSON.stringify({ids:orderids,payPwd:pwd}),
						dataType:'json',
						contentType:'application/json',
						type:'post',
						async:true,
						timeout:15000,
						success:function(data){
							if(data.success){
								successBack();
							}else{
								document.activeElement.blur();
								masks.close();masks=null;
								errorBack(data);
							}
						},
						error:function(xhr,type,errorThrown){
							plus.nativeUI.toast("请求失败，请检查网络！");
						}
					});
				}else{
					plus.nativeUI.toast('支付密码错误！');
				}
				
			},
			error:function(xhr,type,errorThrown){
				plus.nativeUI.toast('修改支付密码失败，请检查网络')
			}
		});
		
	});
}

function initRechargePay(dcontent){
	document.activeElement.blur();
	plus.payment.getChannels(function(channels){
		var content=document.getElementById(dcontent);
		content.innerHTML="";
		
		for(var i in channels){
			var channel=channels[i];
			if(channel.id=='alipay' || channel.id=='wxpay' ){
				if (app.ios()) {
					if (channel.id == 'wxpay' && !app.isWXInstalled()) {
						continue;
					}
				}
				pays[channel.id]=channel;
				var de=document.createElement('div');
				de.setAttribute('class','custom-btn '+channel.id);

				de.id=channel.id;
				de.innerText=channel.description+"支付";
				content.appendChild(de);
				if (!app.ios()) {
					checkServices(channel);
				}
			}
		}
	},function(e){
		plus.nativeUI.toast("获取支付方式失败："+e.message);
	});
}


function payRecharge(obj,payids,successBack,errorBack){
	
	if(payids.length <1){
		plus.nativeUI.toast("错误的充值编号！");
		return;
	}
	var typeid;
	
	if(wPay){
		mask.close();
		return;
	}//检查是否请求订单中
	
	if(obj.id=='alipay'){
		typeid='Alipay_App';
	}else if(obj.id=='wxpay'){
		typeid='WeiXinPay_App';
	}
	else{
		plus.nativeUI.toast("不支持此支付通道！");
		return;
	}
	
	wPay=plus.nativeUI.showWaiting();
	setTimeout(function(){
		if(wPay!=null){
			wPay.close();wPay=null;
		}
	},3000);
	
	if(obj.id=='alipay' || obj.id=='wxpay'){
		
		mui.ajax(URL+'api/payment/PostChargePay',{
			data:JSON.stringify({pmtid:typeid,payIds:payids}),
			dataType:'json',
			contentType:'application/json',
			type:'post',
			async:true,
			timeout:10000,
			success:function(data){
				if(data.Success){
					
					var jumpUrl = data.jumpUrl;
					//alert(jumpUrl);
					if(obj.id=='wxpay'){
						jumpUrl=JSON.parse(jumpUrl);
					} 
					 
					plus.payment.request(pays[obj.id],jumpUrl,function(result){
						if(wPay!=null){
							wPay.close();wPay=null;
						}
						
						successBack();
					},function(){
						if(wPay!=null){
							wPay.close();wPay=null;
						}
						errorBack(data);
					});
				}else{
					if(wPay!=null){
							wPay.close();wPay=null;
						}
					plus.nativeUI.toast(data.Msg);
				}
			}, 
			error:function(xhr,type,errorThrown){
				if(wPay!=null){
					wPay.close();wPay=null;
				}
				plus.nativeUI.toast("请求失败，请检查网络！");
			}
		});
	}else{
		if(wPay!=null){
			wPay.close();wPay=null;
		}
		plus.nativeUI.toast("不支持此支付通道！");
		return;
	}
	
}



function IsOk(oids) {
    var result = true;
     mui.ajax(URL+'api/payment/GetPayByCapitalIsOk?ids='+oids,{
		dataType:'json',
		type:'get',
		async:false,
		timeout:10000,
		success:function(data){
			result = data.success;
		},
		error:function(xhr,type,errorThrown){
			result = false;
		}
	});
    return result;
}

//分享模块
function shareWeixin(_this,mask){
	var w=plus.nativeUI.showWaiting('',{padlock:true}),
		share=shares['weixin'],
		msg = {
		extra: {
			scene: 'WXSceneSession'
		}
	};
	msg.href = _this.getAttribute('data-href');
	msg.title = _this.getAttribute('data-title');
	msg.content = _this.getAttribute('data-content');
	msg.pictures = ["_www/images/logo.png"];
	msg.thumbs = ["_www/images/logo.png"];
	share.send(msg, function() {
		w.close();
		if(mask)
			mask.close();
		plus.nativeUI.toast("分享到\"" + share.description + "\"成功！ ");
	}, function(e) {
		w.close();
		plus.nativeUI.toast("分享到\"" + share.description + "\"取消");
	});
}


var shares = {};
function initShare(){
	plus.share.getServices(function(s) {
		if (s && s.length > 0) {
			for (var i = 0; i < s.length; i++) {
				var t = s[i];
				shares[t.id] = t;
			}
		}
	}, function() {
		plus.nativeUI.toast('获取分享列表失败');
	});
}

function loadShare(params){
	var ids=[],
		bts=[];
	if (app.ios()) {
		if (app.isWXInstalled()) {
			ids.push({id: "weixin",ex: "WXSceneSession"}, {id: "weixin",ex: "WXSceneTimeline"});
			bts.push({title: "发送给微信好友"}, {title: "分享到微信朋友圈"});
		}
		if (app.isQQInstalled()) {
			ids.push({id: "qq"});
			bts.push({title: "分享给QQ好友"});
		}
	}else{
		ids.push({id: "weixin",ex: "WXSceneSession"}, {id: "weixin",ex: "WXSceneTimeline"},{id: "qq"});
		bts.push({title: "发送给微信好友"}, {title: "分享到微信朋友圈"},{title: "分享给QQ好友"});
	}
	plus.nativeUI.actionSheet({
		cancel: "取消",
		buttons: bts
	}, function(e) {
		var i = e.index;
		if (i > 0) {
			var s_id = ids[i - 1].id;
			var share = shares[s_id];
			if (share.authenticated) {
				shareMessage(share, ids[i - 1].ex, params);
			} else {
				share.authorize(function() {
					shareMessage(share, ids[i - 1].ex, params);
				}, function(e) {
					plus.nativeUI.toast("认证授权失败：" + e.code);
				});
			}
		}
	});
}

function shareMessage(share, ex,params) {
	var msg = {
		extra: {
			scene: ex
		}
	};
	msg.href = params.href;
	msg.title = params.title;
	msg.content = params.content;
	/*if (~share.id.indexOf('weibo')>=0) {
		msg.content += '，<a href="'+ProductHref+'">Go血拼！ ></a>';
	}*/
	//msg.thumbs=productImg;
	//msg.pictures=productImg;
	msg.pictures = ["_www/images/logo.png"];
	msg.thumbs = ["_www/images/logo.png"];
	share.send(msg, function() {
		plus.nativeUI.toast("分享到\"" + share.description + "\"成功！ ");
	}, function(e) {
		plus.nativeUI.toast("分享到\"" + share.description + "\"取消");
	});
}

//QQ在线咨询
function openQQ(qq) {
	if(!isQQInstalled()){
		mui.alert('你的手机尚未安装QQ');
		return ;
	}
	if ( plus.os.name == "Android" ) {
		plus.runtime.openURL("mqqwpa://im/chat?chat_type=wpa&uin="+qq);
	} else if ( plus.os.name == "iOS" ) {
		plus.runtime.openURL("mqq://im/chat?chat_type=wpa&uin="+qq+"&version=1&src_type=web");
	}
}

//获取索引
function getIndex(el){
	var child=el.parentNode.children;
	for(var i=0; i<child.length; i++){
		if(el==child[i])
			return i;
	}
}

//是否为空对象
function isEmptyObject(el){
    for(var n in el){return false} 
    return true; 
}

function siblings(el,childEl) {
	var r = [],n;
	if(!childEl)
		n = el.parentNode.children;
	else
		n = el.parentNode.querySelectorAll(childEl);
	for(var i =0,pl= n.length;i<pl;i++) {
		if(n[i] !== el) 
			r.push(n[i]);
	}
	return r;
}

mui('body').on('tap', '#closeWv', function() {
	if(plus.webview.currentWebview().parent()!=null)
		plus.webview.currentWebview().parent().close();
	else
		plus.webview.currentWebview().close();
});

mui('body').on('tap', '#extension', function() {
	if(plus.webview.currentWebview().parent()!=null)
		plus.webview.currentWebview().parent().close();
	else
		plus.webview.currentWebview().close();
	var userState = JSON.parse(localStorage.getItem('$state') || "{}");
	app.openVW('PromotionGift.html','',{userId:userState.userId})
});

mui('body').on('tap', '#reloadWv', function() {
	plus.webview.currentWebview().reload();
});

mui('body').on('tap', '.c-href', function() {
	var href=this.getAttribute('data-href').toLowerCase(),
		id;
	if(href.indexOf('product/detail/')>=0){
		id=href.split('product/detail/')[1];
		showProduct(id);
	}else if(href.indexOf('topic/detail/')>=0){
		id=href.split('topic/detail/')[1];
		app.openVW('topic-detail.html','',{topicId:id})
	}else if(href.indexOf('topic/list')>=0){
		app.openVW('topic.html');
	}else if(href.indexOf('limittimebuy/detail/') >= 0){
		id=href.split('limittimebuy/detail/')[1];
		mui.ajax(URL+'api/limittimeBuy/GetProductIdByLimitBuyId?id='+id,{
			dataType:'json',
			type:'get',
			async:false,
			timeout:10000,
			success:function(data){
				if(data.Success == "true"){
					showProduct(data.ProductId);
				}else{
					plus.nativeUI.toast(data.ErrorMsg);
				}
			}
		});
		
	}else if(href.indexOf('/search')>=0){
		var prokeywords = href.split('search?keywords=');
		if(prokeywords.length ==2){
			app.openVW('search.html','',{keywords:decodeURIComponent(prokeywords[1]),cid:0});
		}else{
			app.openVW('search.html','',{cid:0});
		}
		
	}else if(href.indexOf('/limittimebuy/home')>=0){
		app.openVW('limitbuy-list.html');
	}else if(href.indexOf('/vshop/couponinfo')>=0){
		app.openVW('coupon.html')
	}else if(href.indexOf('/vshop/list')>=0){
		var home=plus.webview.getWebviewById(plus.runtime.appid);
		home.show();
		mui.fire(home,'goVshop');
	}
});

mui('body').on('tap', '.b-href', function() {
	var href=this.getAttribute('data-href').toLowerCase(),
		id;
	if(href.indexOf('product/detail/')>=0){
		id=href.split('product/detail/')[1];
		showProduct(id,'/');
	}else if(href.indexOf('topic/detail/')>=0){
		id=href.split('topic/detail/')[1];
		app.openVW('topic-detail.html','../topic-detail.html',{topicId:id})
	}
});


